Skip to main content
GET
/
v1
/
pricelist
/
{id}
/
period
Retrieves given price list and it's periods
curl --request GET \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/pricelist/{id}/period' \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "validFrom": "2022-05-12T13:18:05Z",
    "validTo": "2022-05-12T13:18:05Z",
    "value": 123,
    "priceListId": "<string>",
    "id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the price list of which you want to fetch the periods

Query Parameters

auditUser
string
required

The audit user to log the request

page
integer
default:0

Current page

size
integer
default:30

How many periods should be returned per page, default is 30. Cannot be more than 100.

Required range: 1 < x < 100

Response

Successfully retrieved

validFrom
string<date-time>

The RFC 3339 format date and time from what time the price list should be active. Cannot be null

Example:

"2022-05-12T13:18:05Z"

validTo
string<date-time>

The RFC 3339 format date and time when this price list should stop to be active. Cannot be greater than 'validFrom' of any other price list with the same 'code'. Can be null, which means this price list is active until this field is set

Example:

"2022-05-12T13:18:05Z"

value
number

The value of the price

priceListId
string

A id that uniquely identifies this price list

Maximum string length: 64
id
string

A id that uniquely identifies this price list period

Maximum string length: 64